Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TConstant

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TConstant

All Implemented Interfaces:
  Visitable

    public class TConstant

extends TParseTreeNode

A constant (sometimes called a literal) specifies a value. Constants are classified as: string(text) constants, numeric constants,Numeric constants are further classified as integer, floating-point, or decimal. datetime constants, interval constants boolean constants..

Constructor Summary
`TConstant()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TSourceToken` | `getSign()`
`TSourceToken` | `getvalueToken()`
`void` | `setSign(TSourceToken sign)`
`void` | `setvalueToken(TSourceToken st)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TConstant

    public TConstant()

Method Detail

### setSign

    public void setSign(TSourceToken sign)

### getSign

    public TSourceToken getSign()

### setvalueToken

    public void setvalueToken(TSourceToken st)

### getvalueToken

    public TSourceToken getvalueToken()

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD